org.apache.calcite.avatica.proto

## Interface Responses.FetchResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Responses.FetchResponse, Responses.FetchResponse.Builder

Enclosing class:
  Responses

    public static interface Responses.FetchResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`Common.Frame` `getFrame()` `optional .Frame frame = 1;`
`Common.FrameOrBuilder` `getFrameOrBuilder()` `optional .Frame frame = 1;`
`Responses.RpcMetadata` `getMetadata()` `optional .RpcMetadata metadata = 4;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `optional .RpcMetadata metadata = 4;`
`boolean` `getMissingResults()` Did the request fail because of a cached-statement w/o ResultSet
`boolean` `getMissingStatement()` Did the request fail because of no-cached statement
`boolean` `hasFrame()` `optional .Frame frame = 1;`
`boolean` `hasMetadata()` `optional .RpcMetadata metadata = 4;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasFrame

    boolean hasFrame()

`optional .Frame frame = 1;`

#### getFrame

    Common.Frame getFrame()

`optional .Frame frame = 1;`

#### getFrameOrBuilder

    Common.FrameOrBuilder getFrameOrBuilder()

`optional .Frame frame = 1;`

#### getMissingStatement

    boolean getMissingStatement()

     Did the request fail because of no-cached statement

`optional bool missing_statement = 2;`

#### getMissingResults

    boolean getMissingResults()

     Did the request fail because of a cached-statement w/o ResultSet

`optional bool missing_results = 3;`

#### hasMetadata

    boolean hasMetadata()

`optional .RpcMetadata metadata = 4;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`optional .RpcMetadata metadata = 4;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`optional .RpcMetadata metadata = 4;`